org.apache.synapse.commons.datasource

## Class DataSourceInformation

- java.lang.Object
- - org.apache.synapse.commons.datasource.DataSourceInformation

-     public class DataSourceInformation
      extends java.lang.Object

  Encapsulates the All information related to a DataSource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BASIC_DATA_SOURCE`
    `static java.lang.String` | `PER_USER_POOL_DATA_SOURCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceInformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParameter(java.lang.String name, java.lang.Object value)`
    `void` | `addProperty(java.lang.String name, java.lang.String value)`
    `java.lang.String` | `getAlias()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getAllParameters()`
    `java.lang.String` | `getDatasourceName()`
    `java.lang.String` | `getDefaultCatalog()`
    `int` | `getDefaultTransactionIsolation()`
    `java.lang.String` | `getDriver()`
    `int` | `getInitialSize()`
    `int` | `getMaxActive()`
    `int` | `getMaxIdle()`
    `int` | `getMaxOpenPreparedStatements()`
    `long` | `getMaxWait()`
    `long` | `getMinEvictableIdleTimeMillis()`
    `int` | `getMinIdle()`
    `int` | `getNumTestsPerEvictionRun()`
    `java.lang.Object` | `getParameter(java.lang.String name)`
    `java.util.Properties` | `getProperties()`
    `long` | `getRemoveAbandonedTimeout()`
    `java.lang.String` | `getRepositoryType()`
    `org.wso2.securevault.secret.SecretInformation` | `getSecretInformation()`
    `long` | `getTimeBetweenEvictionRunsMillis()`
    `java.lang.String` | `getType()`
    `java.lang.String` | `getUrl()`
    `java.lang.String` | `getValidationQuery()`
    `boolean` | `isAccessToUnderlyingConnectionAllowed()`
    `boolean` | `isDefaultAutoCommit()`
    `boolean` | `isDefaultReadOnly()`
    `boolean` | `isLogAbandoned()`
    `boolean` | `isPoolPreparedStatements()`
    `boolean` | `isRemoveAbandoned()`
    `boolean` | `isTestOnBorrow()`
    `boolean` | `isTestOnReturn()`
    `boolean` | `isTestWhileIdle()`
    `void` | `setAccessToUnderlyingConnectionAllowed(boolean accessToUnderlyingConnectionAllowed)`
    `void` | `setAlias(java.lang.String alias)`
    `void` | `setDatasourceName(java.lang.String datasourceName)`
    `void` | `setDefaultAutoCommit(boolean defaultAutoCommit)`
    `void` | `setDefaultCatalog(java.lang.String defaultCatalog)`
    `void` | `setDefaultReadOnly(boolean defaultReadOnly)`
    `void` | `setDefaultTransactionIsolation(int defaultTransactionIsolation)`
    `void` | `setDriver(java.lang.String driver)`
    `void` | `setInitialSize(int initialSize)`
    `void` | `setLogAbandoned(boolean logAbandoned)`
    `void` | `setMaxActive(int maxActive)`
    `void` | `setMaxIdle(int maxIdle)`
    `void` | `setMaxOpenPreparedStatements(int maxOpenPreparedStatements)`
    `void` | `setMaxWait(long maxWait)`
    `void` | `setMinEvictableIdleTimeMillis(long minEvictableIdleTimeMillis)`
    `void` | `setMinIdle(int minIdle)`
    `void` | `setNumTestsPerEvictionRun(int numTestsPerEvictionRun)`
    `void` | `setPoolPreparedStatements(boolean poolPreparedStatements)`
    `void` | `setProperties(java.util.Properties properties)`
    `void` | `setRemoveAbandoned(boolean removeAbandoned)`
    `void` | `setRemoveAbandonedTimeout(long removeAbandonedTimeout)`
    `void` | `setRepositoryType(java.lang.String repositoryType)`
    `void` | `setSecretInformation(org.wso2.securevault.secret.SecretInformation secretInformation)`
    `void` | `setTestOnBorrow(boolean testOnBorrow)`
    `void` | `setTestOnReturn(boolean testOnReturn)`
    `void` | `setTestWhileIdle(boolean testWhileIdle)`
    `void` | `setTimeBetweenEvictionRunsMillis(long timeBetweenEvictionRunsMillis)`
    `void` | `setType(java.lang.String type)`
    `void` | `setUrl(java.lang.String url)`
    `void` | `setValidationQuery(java.lang.String validationQuery)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BASIC_DATA_SOURCE

          public static final java.lang.String BASIC_DATA_SOURCE

      See Also:
        Constant Field Values

    - #### PER_USER_POOL_DATA_SOURCE

          public static final java.lang.String PER_USER_POOL_DATA_SOURCE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DataSourceInformation

          public DataSourceInformation()

  - ### Method Detail

    - #### getSecretInformation

          public org.wso2.securevault.secret.SecretInformation getSecretInformation()

    - #### setSecretInformation

          public void setSecretInformation(org.wso2.securevault.secret.SecretInformation secretInformation)

    - #### getDatasourceName

          public java.lang.String getDatasourceName()

    - #### setDatasourceName

          public void setDatasourceName(java.lang.String datasourceName)

    - #### getAlias

          public java.lang.String getAlias()

    - #### setAlias

          public void setAlias(java.lang.String alias)

    - #### getMinIdle

          public int getMinIdle()

    - #### setMinIdle

          public void setMinIdle(int minIdle)

    - #### getDefaultTransactionIsolation

          public int getDefaultTransactionIsolation()

    - #### setDefaultTransactionIsolation

          public void setDefaultTransactionIsolation(int defaultTransactionIsolation)

    - #### getDefaultCatalog

          public java.lang.String getDefaultCatalog()

    - #### setDefaultCatalog

          public void setDefaultCatalog(java.lang.String defaultCatalog)

    - #### isAccessToUnderlyingConnectionAllowed

          public boolean isAccessToUnderlyingConnectionAllowed()

    - #### setAccessToUnderlyingConnectionAllowed

          public void setAccessToUnderlyingConnectionAllowed(boolean accessToUnderlyingConnectionAllowed)

    - #### isRemoveAbandoned

          public boolean isRemoveAbandoned()

    - #### setRemoveAbandoned

          public void setRemoveAbandoned(boolean removeAbandoned)

    - #### getRemoveAbandonedTimeout

          public long getRemoveAbandonedTimeout()

    - #### setRemoveAbandonedTimeout

          public void setRemoveAbandonedTimeout(long removeAbandonedTimeout)

    - #### isLogAbandoned

          public boolean isLogAbandoned()

    - #### setLogAbandoned

          public void setLogAbandoned(boolean logAbandoned)

    - #### isPoolPreparedStatements

          public boolean isPoolPreparedStatements()

    - #### setPoolPreparedStatements

          public void setPoolPreparedStatements(boolean poolPreparedStatements)

    - #### getMaxOpenPreparedStatements

          public int getMaxOpenPreparedStatements()

    - #### setMaxOpenPreparedStatements

          public void setMaxOpenPreparedStatements(int maxOpenPreparedStatements)

    - #### getMaxActive

          public int getMaxActive()

    - #### setMaxActive

          public void setMaxActive(int maxActive)

    - #### getMaxIdle

          public int getMaxIdle()

    - #### setMaxIdle

          public void setMaxIdle(int maxIdle)

    - #### getMaxWait

          public long getMaxWait()

    - #### setMaxWait

          public void setMaxWait(long maxWait)

    - #### getDriver

          public java.lang.String getDriver()

    - #### setDriver

          public void setDriver(java.lang.String driver)

    - #### getUrl

          public java.lang.String getUrl()

    - #### setUrl

          public void setUrl(java.lang.String url)

    - #### getType

          public java.lang.String getType()

    - #### setType

          public void setType(java.lang.String type)

    - #### addParameter

          public void addParameter(java.lang.String name,
                                   java.lang.Object value)

    - #### getParameter

          public java.lang.Object getParameter(java.lang.String name)

    - #### isDefaultAutoCommit

          public boolean isDefaultAutoCommit()

    - #### setDefaultAutoCommit

          public void setDefaultAutoCommit(boolean defaultAutoCommit)

    - #### isDefaultReadOnly

          public boolean isDefaultReadOnly()

    - #### setDefaultReadOnly

          public void setDefaultReadOnly(boolean defaultReadOnly)

    - #### isTestOnBorrow

          public boolean isTestOnBorrow()

    - #### setTestOnBorrow

          public void setTestOnBorrow(boolean testOnBorrow)

    - #### isTestOnReturn

          public boolean isTestOnReturn()

    - #### setTestOnReturn

          public void setTestOnReturn(boolean testOnReturn)

    - #### getTimeBetweenEvictionRunsMillis

          public long getTimeBetweenEvictionRunsMillis()

    - #### setTimeBetweenEvictionRunsMillis

          public void setTimeBetweenEvictionRunsMillis(long timeBetweenEvictionRunsMillis)

    - #### getNumTestsPerEvictionRun

          public int getNumTestsPerEvictionRun()

    - #### setNumTestsPerEvictionRun

          public void setNumTestsPerEvictionRun(int numTestsPerEvictionRun)

    - #### getMinEvictableIdleTimeMillis

          public long getMinEvictableIdleTimeMillis()

    - #### setMinEvictableIdleTimeMillis

          public void setMinEvictableIdleTimeMillis(long minEvictableIdleTimeMillis)

    - #### isTestWhileIdle

          public boolean isTestWhileIdle()

    - #### setTestWhileIdle

          public void setTestWhileIdle(boolean testWhileIdle)

    - #### getValidationQuery

          public java.lang.String getValidationQuery()

    - #### setValidationQuery

          public void setValidationQuery(java.lang.String validationQuery)

    - #### getInitialSize

          public int getInitialSize()

    - #### setInitialSize

          public void setInitialSize(int initialSize)

    - #### getProperties

          public java.util.Properties getProperties()

    - #### setProperties

          public void setProperties(java.util.Properties properties)

    - #### addProperty

          public void addProperty(java.lang.String name,
                                  java.lang.String value)

    - #### getRepositoryType

          public java.lang.String getRepositoryType()

    - #### setRepositoryType

          public void setRepositoryType(java.lang.String repositoryType)

    - #### getAllParameters

          public java.util.Map<java.lang.String,java.lang.Object> getAllParameters()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.